## grendel.storage.mdb
Interface nsIMdbErrorHook

public abstract interface nsIMdbErrorHook

Method Summary
`int` | `OnAbortHintString(nsIMdbEnv ev, java.lang.String inAscii)`
`int` | `OnErrorString(nsIMdbEnv ev, java.lang.String inAscii)`
`int` | `OnWarningString(nsIMdbEnv ev, java.lang.String inAscii)`

Method Detail

### OnErrorString

    public int OnErrorString(nsIMdbEnv ev,
                             java.lang.String inAscii)

### OnWarningString

    public int OnWarningString(nsIMdbEnv ev,
                               java.lang.String inAscii)

### OnAbortHintString

    public int OnAbortHintString(nsIMdbEnv ev,
                                 java.lang.String inAscii)